Subject: [Dhcpv6bis] 3315bis use of "requesting router" term

From: Lorenzo Colitti <[email-masked]>
Date: Wed, 23 Nov 2016 18:01:49 -0800

On Mon, Oct 31, 2016 at 12:50 PM, Bernie Volz (volz) <[email-masked]> wrote:

> This version does NOT yet have ALL of the WGLC comments received over the
> summer addressed - there were almost 300 of the them and we are probably
> close to 3/4 done. (We also have a few issues in the issues tracker let to
> resolve - see https://trac.tools.ietf.org/group/dhcpv6bis/report/1.)

Hi,

(Apologies if this was mentioned in Seoul - I couldn't make it due to a
conflict.)

I looked at the open issues discussion slides
<https://www.ietf.org/proceedings/97/slides/slides-97-dhc-dhcpv6bis-open-issues-discussion-01.pdf>
and I saw it wasn't mentioned, so I thought I'd ask: what's the status
of ticket
#167 <https://wiki.tools.ietf.org/group/dhcpv6bis/ticket/167> to change the
term "requesting router" to "client"? Is this one of the issues the authors
were planning to resolve?

Since the ticket was opened, RFC 7934 was published as BCP and one of the
options it recommends is to use DHCPv6 PD to assign prefixes to hosts, so I
think this should be resolved before publication.

Cheers,
Lorenzo

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 24 Nov 2016 03:47:17 +0000

See the 06 version. This ticket has been dealth with we believe.

- Bernie (from iPad)

On Nov 23, 2016, at 9:02 PM, Lorenzo Colitti <[email-masked]<mailto:[email-masked]>> wrote:

On Mon, Oct 31, 2016 at 12:50 PM, Bernie Volz (volz) <[email-masked]<mailto:[email-masked]>> wrote:
This version does NOT yet have ALL of the WGLC comments received over the summer addressed - there were almost 300 of the them and we are probably close to 3/4 done. (We also have a few issues in the issues tracker let to resolve - see https://trac.tools.ietf.org/group/dhcpv6bis/report/1.)

Hi,

(Apologies if this was mentioned in Seoul - I couldn't make it due to a conflict.)

I looked at the open issues discussion slides<https://www.ietf.org/proceedings/97/slides/slides-97-dhc-dhcpv6bis-open-issues-discussion-01.pdf> and I saw it wasn't mentioned, so I thought I'd ask: what's the status of ticket #167<https://wiki.tools.ietf.org/group/dhcpv6bis/ticket/167> to change the term "requesting router" to "client"? Is this one of the issues the authors were planning to resolve?

Since the ticket was opened, RFC 7934 was published as BCP and one of the options it recommends is to use DHCPv6 PD to assign prefixes to hosts, so I think this should be resolved before publication.

Cheers,
Lorenzo

---

From: Lorenzo Colitti <[email-masked]>
Date: Thu, 24 Nov 2016 00:38:58 -0800

I did look at -06. My browser says there are 26 occurrences of "requesting
router" in the draft, and most of section 6.3
<https://tools.ietf.org/html/draft-ietf-dhc-rfc3315bis-06#section-6.3>
("DHCP for Prefix Delegation") talks about "requesting router" instead of
client.

Now that I look again, I do now see this new text added to the end of
section 6.3 which is similar to the wording in RFC 7934:

   While [RFC3633] assumed that the DHCPv6 client is a router (hence use
   of "requesting router") and that the DHCPv6 server was a router
   (hence use of "delegating router"), DHCPv6 prefix delegation itself
   does not require that the client forward IPv6 packets not addressed
   to itself, and thus does not require that the client (or server) be
   an IPv6 router as defined in [RFC2460].  Also, in many cases (such as
   tethering or hosting virtual machines), hosts are already forwarding
   IPv6 packets and thus operating as IPv6 routers as defined in
   [RFC2460].  Therefore, this document mostly replaces "requesting
   router" with client and "delegating router" with server.

I suppose this will work, but it's not great. It does seem that the
document would be better served if 6.3 were reworded to say "client" in
some of the places where it now says "requesting router".

On Wed, Nov 23, 2016 at 7:47 PM, Bernie Volz (volz) <[email-masked]> wrote:

> On Nov 23, 2016, at 9:02 PM, Lorenzo Colitti <[email-masked]> wrote:
>
> and I saw it wasn't mentioned, so I thought I'd ask: what's the status of ticket
> #167 <https://wiki.tools.ietf.org/group/dhcpv6bis/ticket/167> to change
> the term "requesting router" to "client"? Is this one of the issues the
> authors were planning to resolve?
>